package main;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.firefox.FirefoxOptions;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class ConfigureDriver {
    public static WebDriver configureDriver() {
        WebDriver driver;
        String filePath = ".git/user"; // Ensure the file exists in the working directory
        String user = "";
        System.out.println("YOU MUST HAVE YOUR NAME PUT IN A FILE! In this repo's route, make .git/user (no extension) contain only your name.");
        try {
            user = Files.readString(Paths.get(filePath)).trim();;
            System.out.println("User read: " + user + " in file");
        } catch (IOException e) {
            System.err.println("Error reading user file: " + e.getMessage());
        }
        if (user.equals("xander")) {
            System.setProperty("webdriver.gecko.driver", "/usr/local/bin/geckodriver");
            FirefoxOptions options = new FirefoxOptions();
            options.setBinary("/usr/bin/firefox");  // Explicitly set Firefox binary
            driver = new FirefoxDriver(options);
        }
        else {
            /// DREW ADD YOUR WEB DRIVER CODE PLEASE
            System.setProperty("webdriver.chrome.driver","C:\\Users\\Matias\\Downloads\\chromedriver-win64\\chromedriver.exe");
            driver = new ChromeDriver();
            driver.get("https://www.google.co.uk/");
            driver.manage().window().maximize();
        }

        return driver;
    }
}
